Confirm a payment batch
Confirms processing of payment batch.
POST
/
payment-batches
/
{paymentBatchId}
/
confirm
cURL
curl --request POST \
--url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/confirm?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"mfa": {
"provider": "fx-mfa-service",
"sessionId": "string",
"token": "string"
}
}
'import requests
url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/confirm"
payload = { "mfa": {
"provider": "fx-mfa-service",
"sessionId": "string",
"token": "string"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mfa: {provider: 'fx-mfa-service', sessionId: 'string', token: 'string'}})
};
fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "draft"
}Authorizations
Path Parameters
The unique ID of the Payment Batch.
Maximum string length:
36Query Parameters
The ID of the account to work with.
Example:
"F50091"
Body
application/json
Body
Show child attributes
Show child attributes
Response
200 - application/json
OK
The status of the Payment Batch.
Available options:
draft, validated, confirmed, started, completed, failed, cancelled Was this page helpful?
⌘I
cURL
